import { defineConfig } from 'tsup';
// import glob from 'fast-glob';
// const services = glob.sync('src/services/*.ts');

const entrys = ['src/index.ts', 'src/config.ts', 'src/pkgs.ts', 'src/context.ts', 'src/file-store.ts', 'src/env.ts'];

export default defineConfig({
  entry: entrys,
  outExtension: ({ format }) => ({
    js: format === 'esm' ? '.mjs' : '.js',
  }),
  splitting: false,
  sourcemap: false,
  clean: true,
  format: 'esm',
  external: ['dotenv'],
  dts: true,
  outDir: 'dist',
  tsconfig: 'tsconfig.json',
});
